Skip to content
Login Sign up

Google Events API

Retrieve structured event data from Google Events. Set engine=google_events and pass a search phrase like “Events in Paris” to get a curated list of upcoming events in the specified area.

GET https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_events
qstringyesThe event search query
devicestringnodesktop, mobile, or tablet
google_domainstringnoGoogle domain to use
locationstringnoGeotargeting location name
uulestringnoGoogle encoded location string
hlstringnoInterface language code
glstringnoCountry code
Terminal window
curl "https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY&q=Events%20in%20Paris%2C%20France"
{
"search_metadata": { "status": "Success" },
"search_parameters": {
"engine": "google_events",
"q": "Events in Paris, France",
"google_domain": "google.com"
},
"events_results": [
{
"title": "Paris Fashion Week",
"date": {
"start_date": "Feb 27",
"when": "Tue, Feb 27, 10:00 AM - Tue, Mar 5, 6:00 PM"
},
"address": ["Paris, France"],
"link": "https://www.example.com/event/...",
"venue": { "name": "Le Grand Palais", "rating": 4.6 },
"thumbnail": "https://..."
}
]
}